---
title: "LLM Mentions Filters List"
url: "https://docs.dataforseo.com/v3/ai_optimization/llm_mentions/filters/"
date: "2026-06-06"
---

## LLM Mentions Filters List

  
Here you will find all the necessary information about filters that can be used with AI Optimization LLM Mentions API endpoints.

Please, keep in mind that filters are associated with a certain object in the `result` array, and should be specified accordingly.

We recommend learning more about how to use filters in [this Help Center article](https://dataforseo.com/help-center/using-filters).

**Note that it is not possible to use the following types of fields as sorting rules in `order_by`: `array.str`, `array.num`.**

 

 

      

Pricing

 Your account will not be charged for using this API

 

  ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/ai\_optimization/llm\_mentions/available\_filters     

 You will receive the full list of filters by calling this API. You can also download the full list of possible filters [by this link.](https://cdn.dataforseo.com/v3/available_filters.php?api=ai_optimization/llm_mentions)

As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the parameters passed in the URL of the GET request* |
| **`result`** | array | *array of results*   contains the full list of available parameters that can be used for data filtration   the parameters are grouped by the endpoint they can be used with |

   
Below you will find a detailed description of the structure that should be used to specify `filters` when setting tasks with AI Optimization LLM Mentions API. You will also find the types of parameters that can be used with each endpoint, and examples of pre-made filters.

**Description of the fields:**

| Field name | Type | Description |
|---|---|---|
| `filters` | array | *array of results filtering parameters*   optional field   **you can add several filters at once (8 filters maximum)**   you should set a logical operator `and`, `or` between the conditions   filters have the following structure:   `[$parameter_field``,` `$filter_operator``,` `$filter_value``]`   you should use the `.` and `,` symbols as separators   example:   `["ai_search_volume", ">=", 1000]` |
| `$parameter_field` | str | *parameter field in the filter*   optional field   **required field if the filter is applied**   the parameter in the superordinate `$results_array`   represents the field you want to filter the results by   possible values:   `platform`, `location_code`, `language_code`, `ai_search_volume`, `first_response_at`, `last_response_at` |
| `$filter_operator` | str | *operator in the filter*   optional field   **required field if the filter is applied**   available filter operators:   • if **`num`**: `<`, `<=`, `>`, `>=`, `=`, `<>`, `in`, `not_in`   • if **`str`**: `match`, `not_match`, `like`, `not_like`, `ilike`, `not_ilike`, `in`, `not_in`, `=`, `<>`, `regex`, `not_regex`   • if **`time`**: `<`, `<=`, `>`, `>=`note: `time` should be specified in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-10-21 06:25:30 +00:00`  if you specify `in` or `not_in` operator, the `$filter_value` should be specified as an array   example:   `["ai_search_volume","in",[10,1000]]`  `regex` and `not_regex` operators can be specified with `string` values using the [RE2 regex](https://github.com/google/re2/wiki/Syntax) syntax;   **Note:** the maximum limit for the number of characters you can specify in `regex` and `not_regex` is **1000**;   example:   string contains keywords: ` ["language_code", "regex", "(how\|what\|when)"]`   string does not contain keywords: ` ["language_code", "not_regex", "(how\|what\|when)"]` |
| `$filter_value` | num   str   bool   time | *filtering value*   optional field   **required field if the filter is applied** |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

> The list of available filtration parameters:

```
{
  "version": "0.1.20250828",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0625 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "09051436-8284-0640-0000-69f363129d79",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "ai_optimization",
        "llm_mentions",
        "available_filters"
      ],
      "data": {
        "api": "ai_optimization",
        "function": "available_filters"
      },
      "result": [
        {
          "search": {
            "platform": "str",
            "location_code": "num",
            "language_code": "str",
            "ai_search_volume": "num",
            "first_response_at": "time",
            "last_response_at": "time",
            "model_name": "str",
          }
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp